This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### += (add assign)
Examples |
    int a = 50;
    int b = 23;
    a += b;  // Sets 'a' to 73
Description | Combines addition with assignment. The expression a += b is equivalent to a = a + b.
Syntax |
    value1 += value2
Parameters |
value1 | int or float
value2 | any numerical value the same datatype as value1
Related | = (assign) + (add) -= (subtract assign)

Updated on October 26, 2013 08:58:34pm PDT